> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download a File

Streams the File's contents directly.

The response body is the raw file (e.g. the raw credit report JSON or the
credit report PDF), with the File's `mime_type` as the `Content-Type` and a
`Content-Disposition` attachment header containing the file name.

> [!TIP]
>
> Use this endpoint to download the file directly. If you just need a
> link to the file, use the `download_url` from
> [Retrieve a File](https://docs.methodfi.com/2026-03-30/reference/files/retrieve.md) instead.

## Path Parameters

## Returns

Returns the File's contents.

```bash cURL theme={null}
curl https://production.methodfi.com/files/file_jZWkPMhXPeYAn/download \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -o raw_credit_report.json
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.